Skip to main content
Returns a list of acceptable dashboards (requires READ permission to the dashboards)

Authorizations

Authorization
string
header
required

HTTP Basic authentication using global administrator credentials (username and password).

Query Parameters

sourceId
string

deprecated since 23.3, will be removed in future releases. Use filters parameter

visualizationId
string

deprecated since 23.3, will be removed in future releases. Use filters parameter

fields
string

Defines field of a dashboard to be returned

Enables field links in the dashboard response

maxResults
integer<int32>
default:0
Required range: x >= 0
pageToken
string
filter
string

Defines filter to search by. SourceId and visualizationId should not work with combination of filter. Supports only boolean, string, number, date time literal types on primary fields like name, id, description etc. Operators supported are =, != or <>, like, ilike, >, >=, <, <=, is null, is not null, in, and, or, not, is empty, is not empty. Tag supports in, and, is empty, is not empty, not operators. Other operators might not return expected result. Nested objects, array properties are not supported.

sort
string

Defines sort order for results. Supports only primary fields like name, id, description etc with direction ASC or DESC. Nested objects, array properties are not supported.(Example: tags)

Response

The dashboards were retrieved successfully

Defines a list of dashboards

content
object[]
otherDashboardsExist
boolean

Defines an existence of other dashboards in the account

pageInfo
object